Red Hat Linux 7.1リリースノート
------------------------------

この文書は Red Hat Linux 7.1 の新しい特徴を説明するものですが、これら
の特徴は最終的な文書の内容とは異なる場合があります。最新の情報は、Red
Hat Linux 7.1インストールCD1/2にあるRELEASE-NOTESをご覧下さい。

主な変更点
----------

    o オラクルのインストールプログラム(version 8.1.7, 8.1.6など)は、
    glibc2.2またはそれ以上の環境では適切に動作しません。というのは、異
    なるバージョンのglibcでコンパイルされたオブジェクトファイルが存在
    するためです。(バイナリファイルの互換性は、シンボルバージョニング
    を通して実行可能で共有されているライブラリでしか保たれないためで
    す。) Red Hat Linux 6.2互換のパッケージ(compat-egcs, compat-glibc,
    compat-libs) をインストールすることにより動作させることができる場
    合があります。オラクルインストーラを実行する前に以下のコマンドを実
    行してください。

        export LD_ASSUME_KERNEL=2.2.5
        . /usr/i386-glibc21-linux/bin/i386-glibc21-linux-env.sh   

     2行目は、gccに起因し、glibc 2.1.3互換のヘッダとライブラリを探して
     ロードする環境変数をエクスポートします。
    
    o NFS, FTP, HTTPインストールに関する注意点 --  Red Hat Linux 7.1イ
    ンストールプログラムでは複数のCD-ROMからのインストールを行うので、
    NFS, FTP, HTTPインストールを行う場合は、Red Hat Linux CD-ROMを
    1枚マウントしてインストールするということができません。

    代わりに、Red Hat Linux 7.1を構成する各CD-ROMのRedHat ディレクトリ
    をハードディスク上にコピーなくてはなりません。

        - CD 1をセット
          mount /dev/cdrom /mnt/cdrom
          cp -var /mnt/cdrom/RedHat /location/of/disk/space
          umount /mnt/cdrom

        - CD 2をセット
          mount /dev/cdrom /mnt/cdrom
          cp -var /mnt/cdrom/RedHat /location/of/disk/space
          umount /mnt/cdrom

    それからインストールプログラムがアクセス(例えば、NFSインストールで
    エクスポート)できるように /location/of/disk/space を作成します:

        - Export /location/of/disk/space            


インストールに関する改善面
--------------------------

Red Hat Linux 7.1のインストールプログラムは数多くの新しい特色を備えて
います。詳細については Official Red Hat Linux インストールガイドを参照
してください。

    o スワップに関連する改善 - 2.4カーネルは2.2カーネルに比べ、スワッ
      プswap領域の使用に関して自由です。しかしながら、現在のカーネルバー
      ジョンでは、以下に示す項目に依存するスワップ領域の調整が必要です。

        - メモリ容量
        - スワップで利用可能なハードディスク容量
        - 実行しているアプリケーション
        - 同時に使用するアプリケーション

     これらの条件を満たすことのできる完全な規則は存在しません。しかし、
     以下のスワップ容量を推奨致します。

        - シングルユーザシステムで128MB以下のメモリ容量の場合: 256MB

        - シングルユーザシステムまたはローエンドサーバで、128MB以上の
          メモリ容量の場合: メモリ容量の２倍

        - ある目的の専用サーバで512MB以上のメモリ容量の場合: システム
          に依存します。

　　　もちろん、より少ない（または全く無い）スワップ領域でも特定の設定
      でアプリケーションを利用できます。これらのガイドラインはスワップ
      領域を使い果たしてしまう事の無いような目安です。格言はスワップ領
      域にたいしても確かに当てはまります。

     　　“備えあれば憂いなし。”


    o アップグレードする際のスワップ領域の改善 - 新規にRed Hat Linux
      7.1をインストールする際は、スワップ領域の設定は比較的容易です。
      しかし、以前のRed Hat Linuxからアップグレードする際には、以前に
      作られたスワップ領域はもはや有効ではないかも知れない、という事に
      ご注意ください。

      Red Hat Linux 7.1インストールプログラムは新たに利用可能なスワッ
      プ領域をチェックします。もし、十分なスワップ領域がなければ、スワッ
      プファイルの形式でスワップ領域を追加設定します。インストールする
      際、スワップファイルを作成するパーティションを質問する事で、この
      チェックは行われます。新たなスワップ領域の大きさについても質問さ
      れます。

     （ご注意：Red Hat Linux 7.1 インストールプログラムでは2GB以上の
      スワップ領域を作成することができません。2GB以上のスワップ領域が
      必要な場合は、インストール完了後に設定を行ってください。）

    o XFree86 4.0.3 -- Red Hat Linux 7.1インストールプログラムでは改良
      されたテスト画面とより的確なビデオメモリの検出などですべてを適切
      に設定できるようにします。

    o ファイアウォール設定 -- セキュリティを高めるために追加されました。
      システムインストールの際にファイアウォール設定ができます。一般的
      なシステムサービスをデフォルトで起動するかどうかを選択できるのは
      もちろん、2つのセキュリティレベルからお選び頂けます。

      "medium"と"high"にファイアーウォールを設定すると、RPCに基づくサー
      ビス(例えば、NISやNFS)がブロックされ、接続が失敗しますので、ご注
      意ください。

    o ハードディスクインストール - ハードディスクインストールでは ISO 
      イメージが必要になります。もう完全なツリーをコピーしてインストー
      ルする必要はありません。代りに単に必要な ISO イメージをディレク
      トリ内に置いて、ハードディスクインストールの際に Red Hat Linux 
      インストールプログラムにその場所を指示するだけです。加えて弊社は 
      すべての ISO イメージについての MD5 チェックサムを公開しているの
      で md5sum プログラムを ISO イメージに対して実行し、チェックサム
      を弊社が公開しているものと比較することで公式にリリースされたソフ
      トウェアを使っていることを確認できます。

    o 言語選択 -- 言語選択が著しく変更されました。ある言語でインストー
      ルを実行し、後でデフォルトで他の言語環境でシステムを操作するよう
      に指定できます。

    o ラップトップインストールクラス -- PCMCIA サポートをデフォルトで
      有効にした"ラップトップ"インストールクラスが新たに利用できるよう
      になりました。もしご利用のコンピュータが PCMCIA コントローラをサ
      ポートしているなら自動的に検出されるはずです。

    o LBA32 サポート -- LILO には LBA32 をサポートするためのオプション
      があります。これは部分的あるいは完全に 1024 (この数字は歴史的な
      制限です)より大きなシリンダ上にあるパーティションからの起動を可
      能にするものです。しかし、このオプションは、BIOS サポートが可能
      であってもすべてのマザーボードでサポートされているわけではないこ
      とがわかりましたので、デフォルトでは無効にされていることに注意し
      てください。またこのオプションはパーティションが fdisk でつくら
      れたものであり、/boot か / パーティションとして選択されていると
      きのみ利用できることにも注意してください。fdisk に限定するのは 
      Disk Druid を使うと 1024 より大きなシリンダ上に起動可能なパーティ
      ションをつくることができないからです。

    o Disk Druid の改良 -- Disk Druid はパーティションがシリンダ境界で
      終っていないなどのパーティションテーブルの矛盾を検出します。つま
      りもしハードディスクのジオメトリとディスクの元々のパーティション
      設定と違っていれば検出できます。このような場合は、fdisk プログラ
      ムを使って矛盾をより詳細に検査するか、ディスクを完全にスキップす
      るかを選択されることを推奨します。

    o グラフィカルな Kickstart 設定 -- Red Hat Linux 7.1では kickstart 
      設定のためのグラフィカルなインタフェースを持ち、かつてないほど簡
      単にカスタムされた自動的なインストールを実行できます。

    o 改良されたレスキューモード -- レスキューモードはシステムの 
      /etc/fstab エントリをマウントし、ルートパーティションかどうかを
      検出しようと試みます。これらのエントリは /mnt/sysimage の下にマ
      ウントされます。こうしてはじめてレスキューモードをご利用になる方
      を非常に混乱させていたステップは除かれました。

    o 新しい認証設定、セキュリティオプション -- Transport Layer
      Security (TLS) 検索が認証設定の際の LDAP サポートに追加されまし
      た。TLS 検索は認証の前に LDAP サーバに暗号化されたユーザ名とパス
      ワードを送ることを可能にします。

    o 多方面に渡るインストールプログラムの改良 -- 以前ドレースバック
 　　　(インスートーラのクラッシュ)に起因していた、潜在的な問題を解決
　　　するために数多くのテストとチェックがなされました。これによって、
      新しいユーザがご使用になる際の困難は低減していると思われます。

システム関連の改良
------------------

Red Hat Linux 7.1 はインストールプロセス以外でも多くの新しい特色を持っ
ています。いくつかの新しい特色はサーバ志向のプログラムでその他は新しい
アプリケーションとデスクトップ環境の更新です。このリストはRed Hat
Linux 7.1 に、実際にご利用の OS に比較して何が期待できるか、といった情
報を示しています。

    o コアシステムコンポーネントのアップグレード -- Red Hat Linux 7.1 で
      は次の主要なシステムコンポーネントがアップグレードされています:

        - カーネル 2.4.x（fixesが加えられています）
        - glibc 2.2.2
        - kDE 2.1.1
        - xft アンチエイリアスフォントレンダ機能を備えたXFree86 4.0.3 
        - オリジナル 7.0 リリースから多くの修正がなされた、GCC 2.96-RH

    o USB サポートの改良 -- 2.4 カーネルは Red Hat Linux 7.1は以前の 
      バージョンのRed Hat Linuxより成熟した USB サポートを提供します。
      CD-ROM のようなストレージデバイスのサポートも含めたより多くのド
      ライバが提供されています。また起動後にデバイスを装着すると必要な
      ドライバが自動的に読み込まれる、"ホットプラグ"あるいはリムーバブ
      ルデバイスもサポートしています。

     o /etc/fstabへの自動的なリムーバブルメディアドライバの追加 --  
       Red Hat Linux 7.1では、リムーバブルメディアドライバのmount、
       unmountができます。これは、updfstabプログラム(起動時にハードウェ
       ア設定を行うkudzuの一部)で行います。これにより、/etc/fstab に必
       要なエントリを追加/削除致します。各エントリは、新しいkudzu のオ
       プションに含まれるupdfstabに制御される事にご留意下さい。-- これ
       は、エントリが削除された事を検知して実行されます。削除されたエ
       ントリをfstab にそのまま残しておきたい場合は、kudzuのオプション
       を無効にしてください。

　　　　ホットプラグデバイスはcardmgr、hotplug、updfstab、
        pam_console_applyに取り扱われます。新しいストレージデバイスが
        システムに追加されたhotplugやcardmgrをカーネルが検知すると、
        fstabに新たなエントリを追加するため、updfstabが起動します。そ
        の時、updfstabはその時点のコンソールユーザがデバイスにアクセス
        出来るように、/etc/security/console.permsで設定されたルールを
        用いるpam_console_apply を起動します。

       magicdevを起動するGUNOMEユーザは、デスクトップに自動的にデバイス
       アイコンが表示されるのが分かります。magicdevは常に/etc/fstabの
       タイムスタンプをチェックし、fstabが変更された時、gmcにデバイス
       を再スキャンするように指示します。magicdevを起動していない場合
       は、gmc メニュー（デスクトップ上で右クリックすると表示されます）
       で"Rescan Devices“オプションを選択すると、この機能が実行されま
       す。

       KDEユーザも類似の機能をご覧になれます。

     o 新規、更新ドライバ -- 多くのドライバは Red Hat Linux 7.1で追加、
       あるいは 2.4 系カーネルに移行した結果更新されました。新しく追加
       されたドライバは次のものです:

        - アップデートされたAdaptec aic7xxx SCSI ドライバ
        - IEEE 1394 (FireWire(tm) / iLink(tm)) サブシステム
        - Adaptec starfire quad ethernet
        - Aironet 802.11 WiFI ethernet
        - National Semiconductor DP83810 ethernet
        - ATM サブシステムといろいろなATMのドライバ
        - DECnet サブシステム
        - Cyclom 2X, DEFEA, and DEFPA FDDI
        - IPv6 サポート
        - NFS バージョン 3
        - より改良されたファイアウォールレイヤー、iptables
        - Maestro3 サウンド
　　　　- Broadcom BCM5700 PCI-X 10/100/1000BASE-T コントローラ
　　　　- IDE UltraDMA/66 と UltraDMA/100コントローラサポート

     o XFree86 4.0.3下での3Dアクセラレーション - 多くの様々な3DFX
       カードが、アクセラレート3Dグラフィックサポートカードリストに追
       加されました。さらに、Intel i810、 Matrox G200、G400、G450(G450
       のdual-headオペレーションは未サポート)、ATI Rage 128 ベースのカー
       ドがアクセラレート3Dグラフィックサポートされました。ATI Radeon
       カードの3Dアクセラレーションは、XFree86 4.0.3ではまだサポートさ
       れていません。ご注意ください。

     o 新しい Apache 設定ツール -- apacheconf:

         - Alchemist データライブラリを介した設定
	 - より洗練された方法で仮想ホストの管理をお手伝い
	 
     o 新しい BIND 設定ツール -- bindconf:

         - より容易にDNSを設定
         - Alchemist データライブラリを介した設定

     o 新しいプリンタ設定ツール -- printconf:

         - David Parson の magicfilter を元にしたフィルター、foomatic 
           システム、Linux Printing Database
           (http://linuxprinting.org)。
         - 500以上のプリンタサポート
	 - printtool によって設定された古いシステムを更新
         - Alchemist データライブラリを介した設定  

     o Red Hat Networkの改良、Software Managerサービス -- 
       Red Hat Network とアップデートエージェントはこのリリースで拡張
       されました。さらに新しいサービス --Software Manager -- がご利用
       頂けます。この技術は、以前にリリースされた前のバージョンに対す
       る改良が含まれています。

        - アップデートエージェントは完全なコマンド行操作をサポートしま
          す。

        - テキストモード設定ユーティリティが含まれています。

        - GUI モードの利用を "--nox" コマンド行オプションを指定するこ
          とでで抑制できます。

        - より賢くパッケージ内部の複雑な依存関係を理解します。

        - "--whatprovides" と "--solvedeps" コマンド行オプションで Red
          Hat Network データベースにパッケージの依存関係のレポートを送
          るように問い合わせることができます。

        - "--packagedir" オプションで依存関係を満足させる際にパッケー
          ジを検索するディレクトリのリストを指定することができます。

        - カーネルアップグレードもいまやUpdate Agentで行えます。

     o Emacs/XEmacs site-start.d ディレクトリ -- Emacs/XEmacs は直接 
       site-start.el ファイルを編集する代りに、エディタ起動時に読み込
       まれる emacs 起動 .el ファイルをパッケージが置くことのできる 
       site-start.d ディレクトリをサポートします。

	  /usr/share/emacs/site-lisp/site-start.d
	  /usr/lib/xemacs/xemacs-packages/lisp/site-start.d

     o新しい ADSL/ISDN 設定ツール -- internet-config は adsl-config 
       と isdn-config の代替アプリケーションでユーザにこれらの一般的な
       方法のネットワーク接続設定をガイドします。

     o PostgreSQL アップグレードについて -- もし Red Hat Linux 6.2 か
       あるいはそれよりも古いものからアップグレードする場合、既存のデー
       タベースは必ず dump (バックアップ)と restore (復旧)の過程を経ね
       ばなりません。この作業を行う最も適切な方法は Red Hat Linux 7.1 
       にアップグレードする前に pg_dumpall(1) を使うことです。アップグ
       レード後には /usr/share/doc/postgresql*/ にある README.rpm ファ
       イルを参照してください。

       アップグレード後にも(ヘルパースクリプトも含め)古いバイナリを使
       うことはできますが、アップグレード前に dump し、後で(古いデータ
       ベースを消去する前に) restore することを強く推奨します。

     o OpenLDAPアップグレードに関する注意 - slapdで用いられるon-desk
       ストレージフォーマット、OpenLDAPサーババイナリが変更されました。
       以前のRed Hat LinuxからLDAPサーバをアップグレードされるユーザは、
       ldbmcat -nを用いて、ディレクトリをLFIDファイルにダンプし、
       slapaddを用いて新しいフォーマットで再インポートする必要がありま
       す。

     o IMAPサーバの変更 - IMAPサーバは、stunnelのトンネリングサポー
       トではなく、ビルトインされたSSLサポートがデフォルトです。それ伴
       い、imapdで使用される認証ファイル名が、stunnel.pemからimapd.pem
       に変更になります。以前のRed Hat Linuxからアップグレードされるユー
       ザは、ファイルの変更、コピー、または認証ファイルへのシンボリッ
       クリンクが必要となります。

     o Sendmail - デフォルトでは、ローカルコンピュータ以外の他のホスト
       とネットワーク接続を確立する事を受け付けません。サーバとして、
       他のクライアントとのsendmailの設定を行う場合は、
       /etc/mail/sendmail.mc を編集して、ネットワークデバイスを認識す
       るようにDAEMON_OPTIONを変更するか、このオプションを丸ごとコメン
       トアウトしてください。以下のコマンドを実行して、
       /etc/sendmail.cfの再生成が必要になります。

	　　　m4 /etc/mail/sendmail.mc > /etc/sendmail.cf

     o その他重要なパッケージ:

        - OGG/Vorbis オーディオエンコーダ/デコーダ        
        - Mozilla
        - LSB 準拠の SGML と XML 関連パッケージ
        - KDE 2.1 と KOffice
        - DNSsec サポート、リモート named 制御機能を含む BIND 9.x
        - slrn、OpenLDAP そして pine での SSL のサポート
        - Pine 4.33
	- Quanta HTML エディタ (Powertools)
        - SSL/TLS をサポートする Postfix (Powertools)
        - Linux から直接 Windows の .exe バイナリを実行できる、WINE
        

     o 古くなったパッケージ -- 以下のパッケージは既に古くなっているの
       で将来のリリースではなくなる可能性があります:

        - AfterStep
        - Netscape 4.x
        - Qt 1.x
        - KDE v1 互換のライブラリ / 開発環境
        - elm
        - linuxconf
        - ncpfs
        - mars_nwe

良く知られた問題点
------------------
     o Red Hat Linux 7からPCMCIAのサポートが大きく変更されています。
       以前のバージョンのRed Hat Linuxの下でPCMCIAの設定を行っている場
       合は、設定をチェックしてください。

     o あるJava JVMs(SunとIMBの両方)はglibcのi686バージョンにおける
       新たなfloating stackの特徴により動作しません。これは、JVMsで前
       提となっている、現在では使われていないプログラミングに起因しま
       す。JVMs ベンダは、必要な訂正を作成する作業を現在行っております。
       修正されたJVMs パッケージを利用できるまでの間は、以下の環境変数
       を設定して、デグレードしたスタックモデルを使うglibcを強制するこ
       ともできます。

		LD_ASSUME_KERNEL=2.2.5

文章に関する改善と変更
----------------------

     o  /etc/sysconfig/vncservers ファイルに関する追加文章 - 以下の情報
        はRed Hat Linux リファレンスガイドには、含まれていません。

　　　  /etc/sysconfig/vncserversファイルはバーチャルネットワークコン
        ピューティング(VNC)をどのように立ち上げるかを設定します。VNCは
        起動しているマシンだけでなく、異なるネットワークを介して(イン
        ターネットのLANから)、および様々なマシン構造を用いて、デスクトッ
        プ環境で見ることのできるリモートディスプレイシステムです。

        これは、以下のように記述します。

        VNCSERVERS=<value>。<value>は例えば "1:fred"のように記述します。
        これはVNCサーバはユーザfredのディスプレイ:1から立ち上げられる、
        という事を示します。ユーザfredは、リモートVNCサーバに接続する
        前に、vncpasswd を用いて、VNCパスワードを設定しなければなりま
        せん。

        VNCサーバを使用する際、接続は暗号化されていないので、信用ので
        きないネットワークでは使わない方がよい事にご注意下さい。SSHを
        用いたセキュアなVNC接続に関する記述は、
        http://www.uk.reserch.att.com/vnc/sshvnc.htmlに書かれている情
        報をご覧下さい。SSHに関するより詳しい記述は、Red Hat Linuxリファ
        レンスガイドとカスタマイズガイドをご覧下さい。

i386 7.1
